Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class AspectXmlLoader

    java.lang.Object
      org.jboss.aop.AspectXmlLoader

All Implemented Interfaces:
  XmlLoader

public class AspectXmlLoader
extends Object
implements XmlLoader

Version:
  $Revision: 1.80 $
Author:
  Bill Burke

Field Summary
`protected ArrayList` | `aspects`
`protected ArrayList` | `bindings`
`protected int` | `counter`
`protected String` | `defaultBaseName`
`protected ArrayList` | `factories`
`static XmlLoaderFactory` | `factory`
`protected AspectManager` | `manager`

Constructor Summary
`AspectXmlLoader()`

Method Summary
`void` | `deploy(URL url, AspectManager manager)`
`void` | `deploy(URL url, AspectManager manager, ClassLoader cl)`
`InterceptorFactory` | `deployAdvice(Element element)`
`void` | `deployAnnotationIntroduction(Element pointcut)`
`void` | `deployAnnotationOverride(Element pointcut)`
`AspectDefinition` | `deployAspect(Element element, String type)`
`void` | `deployBinding(Element element)`
`void` | `deployCFlowStack(Element pointcut)`
`void` | `deployClassMetaData(Element element)`
`void` | `deployDeclare(Element pointcut, String tagName)`
`void` | `deployDomain(Element element)`
`void` | `deployDynamicCFlow(Element pointcut)`
`InterceptorFactory` | `deployInterceptor(Element element)`
`void` | `deployInterceptorStack(Element element)`
`void` | `deployIntroductionPointcut(Element pointcut)`
`void` | `deployMetaDataLoader(Element element)`
`void` | `deployPluggablePointcut(Element pointcut)`
`void` | `deployPointcut(Element pointcut)`
`void` | `deployPrepare(Element pointcut)`
`void` | `deployTypedef(Element pointcut)`
`void` | `deployXML(Document doc, URL url)`
`void` | `deployXML(Document doc, URL url, ClassLoader cl)`
`static void` | `deployXML(URL url)`
`static void` | `deployXML(URL url, ClassLoader cl)`
`ClassLoader` | `getClassLoader()`
`AnnotationIntroduction` | `loadAnnotationIntroduction(Element pointcut)`
`void` | `setClassLoader(ClassLoader cl)`
`void` | `setManager(AspectManager manager)`
`void` | `undeploy(URL url, AspectManager manager)`
`void` | `undeployAdvice(Element element)`
`void` | `undeployAnnotationIntroduction(Element pointcut)`
`void` | `undeployAnnotationOverride(Element pointcut)`
`void` | `undeployAspect(Element pointcut)`
`void` | `undeployBinding(Element element)`
`void` | `undeployCFlowStack(Element pointcut)`
`void` | `undeployClassMetaData(Element element)`
`void` | `undeployDeclare(Element pointcut)`
`void` | `undeployDomain(Element element)`
`void` | `undeployDynamicCFlow(Element pointcut)`
`void` | `undeployInterceptor(Element element)`
`void` | `undeployInterceptorStack(Element element)`
`void` | `undeployIntroductionPointcut(Element pointcut)`
`void` | `undeployMetaDataLoader(Element element)`
`void` | `undeployPluggablePointcut(Element pointcut)`
`void` | `undeployPointcut(Element pointcut)`
`void` | `undeployPrepare(Element pointcut)`
`void` | `undeployTypedef(Element pointcut)`
`void` | `undeployXML(Document doc, URL url)`
`static void` | `undeployXML(URL url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### counter

    protected int counter

### defaultBaseName

    protected String defaultBaseName

### manager

    protected AspectManager manager

### bindings

    protected ArrayList bindings

### factories

    protected ArrayList factories

### aspects

    protected ArrayList aspects

### factory

    public static XmlLoaderFactory factory

Constructor Detail

### AspectXmlLoader

    public AspectXmlLoader()

Method Detail

### setManager

    public void setManager(AspectManager manager)

### setClassLoader

    public void setClassLoader(ClassLoader cl)

  Specified by:
    `setClassLoader` in interface `XmlLoader`

### getClassLoader

    public ClassLoader getClassLoader()

### undeployInterceptor

    public void undeployInterceptor(Element element)
                             throws Exception

  Throws:
    `Exception`

### deployInterceptor

    public InterceptorFactory deployInterceptor(Element element)
                                         throws Exception

  Throws:
    `Exception`

### undeployAdvice

    public void undeployAdvice(Element element)
                        throws Exception

  Throws:
    `Exception`

### deployAdvice

    public InterceptorFactory deployAdvice(Element element)
                                    throws Exception

  Throws:
    `Exception`

### deployBinding

    public void deployBinding(Element element)
                       throws Exception

  Throws:
    `Exception`

### undeployBinding

    public void undeployBinding(Element element)
                         throws Exception

  Throws:
    `Exception`

### undeployAspect

    public void undeployAspect(Element pointcut)
                        throws Exception

  Throws:
    `Exception`

### deployAspect

    public AspectDefinition deployAspect(Element element,
                                         String type)
                                  throws Exception

  Throws:
    `Exception`

### undeployCFlowStack

    public void undeployCFlowStack(Element pointcut)
                            throws Exception

  Throws:
    `Exception`

### deployCFlowStack

    public void deployCFlowStack(Element pointcut)
                          throws Exception

  Throws:
    `Exception`

### undeployInterceptorStack

    public void undeployInterceptorStack(Element element)
                                  throws Exception

  Throws:
    `Exception`

### deployInterceptorStack

    public void deployInterceptorStack(Element element)
                                throws Exception

  Throws:
    `Exception`

### undeployMetaDataLoader

    public void undeployMetaDataLoader(Element element)
                                throws Exception

  Throws:
    `Exception`

### deployMetaDataLoader

    public void deployMetaDataLoader(Element element)
                              throws Exception

  Throws:
    `Exception`

### deployClassMetaData

    public void deployClassMetaData(Element element)
                             throws Exception

  Throws:
    `Exception`

### undeployClassMetaData

    public void undeployClassMetaData(Element element)
                               throws Exception

  Throws:
    `Exception`

### undeployPointcut

    public void undeployPointcut(Element pointcut)
                          throws Exception

  Throws:
    `Exception`

### undeployPluggablePointcut

    public void undeployPluggablePointcut(Element pointcut)
                                   throws Exception

  Throws:
    `Exception`

### deployPluggablePointcut

    public void deployPluggablePointcut(Element pointcut)
                                 throws Exception

  Throws:
    `Exception`

### undeployDynamicCFlow

    public void undeployDynamicCFlow(Element pointcut)
                              throws Exception

  Throws:
    `Exception`

### deployDynamicCFlow

    public void deployDynamicCFlow(Element pointcut)
                            throws Exception

  Throws:
    `Exception`

### deployPointcut

    public void deployPointcut(Element pointcut)
                        throws Exception

  Throws:
    `Exception`

### undeployPrepare

    public void undeployPrepare(Element pointcut)
                         throws Exception

  Throws:
    `Exception`

### deployPrepare

    public void deployPrepare(Element pointcut)
                       throws Exception

  Throws:
    `Exception`

### deployAnnotationIntroduction

    public void deployAnnotationIntroduction(Element pointcut)
                                      throws Exception

  Throws:
    `Exception`

### deployAnnotationOverride

    public void deployAnnotationOverride(Element pointcut)
                                  throws Exception

  Throws:
    `Exception`

### undeployAnnotationIntroduction

    public void undeployAnnotationIntroduction(Element pointcut)
                                        throws Exception

  Throws:
    `Exception`

### undeployAnnotationOverride

    public void undeployAnnotationOverride(Element pointcut)
                                    throws Exception

  Throws:
    `Exception`

### loadAnnotationIntroduction

    public AnnotationIntroduction loadAnnotationIntroduction(Element pointcut)
                                                      throws Exception

  Throws:
    `Exception`

### undeployIntroductionPointcut

    public void undeployIntroductionPointcut(Element pointcut)
                                      throws Exception

  Throws:
    `Exception`

### deployIntroductionPointcut

    public void deployIntroductionPointcut(Element pointcut)
                                    throws Exception

  Throws:
    `Exception`

### deployTypedef

    public void deployTypedef(Element pointcut)
                       throws Exception

  Throws:
    `Exception`

### undeployTypedef

    public void undeployTypedef(Element pointcut)
                         throws Exception

  Throws:
    `Exception`

### deployDeclare

    public void deployDeclare(Element pointcut,
                              String tagName)
                       throws Exception

  Throws:
    `Exception`

### undeployDeclare

    public void undeployDeclare(Element pointcut)
                         throws Exception

  Throws:
    `Exception`

### deployXML

    public void deployXML(Document doc,
                          URL url,
                          ClassLoader cl)
                   throws Exception

  Throws:
    `Exception`

### deployXML

    public void deployXML(Document doc,
                          URL url)
                   throws Exception

  Throws:
    `Exception`

### deployDomain

    public void deployDomain(Element element)
                      throws Exception

  Throws:
    `Exception`

### undeployDomain

    public void undeployDomain(Element element)
                        throws Exception

  Throws:
    `Exception`

### undeployXML

    public void undeployXML(Document doc,
                            URL url)
                     throws Exception

  Throws:
    `Exception`

### deploy

    public void deploy(URL url,
                       AspectManager manager,
                       ClassLoader cl)
                throws Exception

  Throws:
    `Exception`

### deploy

    public void deploy(URL url,
                       AspectManager manager)
                throws Exception

  Specified by:
    `deploy` in interface `XmlLoader`
  Throws:
    `Exception`

### undeploy

    public void undeploy(URL url,
                         AspectManager manager)
                  throws Exception

  Specified by:
    `undeploy` in interface `XmlLoader`
  Throws:
    `Exception`

### deployXML

    public static void deployXML(URL url)
                          throws Exception

  Throws:
    `Exception`

### deployXML

    public static void deployXML(URL url,
                                 ClassLoader cl)
                          throws Exception

  Throws:
    `Exception`

### undeployXML

    public static void undeployXML(URL url)
                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.